const path = require('path');
const rootPath = __dirname;

const isTest = process.env.NODE_ENV === 'test';

module.exports = {
    rootPath,
    port: isTest ? 8010 : 8020,
    uploadPath: path.join(rootPath, 'public', 'uploads'),
    db: {
        host: 'mongodb://127.0.0.1',
        database: isTest ? 'shop_test' : 'shop',
    },
    facebook: {
        appId: process.env.NODE_FACEBOOK_APP_ID,
        secretApp: process.env.NODE_FACEBOOK_SECRET,
    },
    google: {
        appId: process.env.NODE_GOOGLEK_APP_ID,
        secretApp: process.env.NODE_GOOGLE_SECRET,
    }
};
