const router = require('express').Router();
const Category = require('../models/Category');
const auth = require("../middleware/auth");
const permit = require("../middleware/permit");

router.get('/', async (req, res) => {
    try {
        res.send(await Category.find());
    } catch (e) {
        res.sendStatus(502);
    }
});

router.post('/', [auth, permit('admin')], async (req, res) => {
   const category = new Category(req.body);

   try {
       await category.save();
       res.send(category);
   } catch (e) {
       res
           .status(400)
           .send(e);
   }
});

module.exports = router;
