import ProductItem from "./ProductItem/ProductItem";
import {Grid} from "@mui/material";

const ProductList = ({products}) => {
    return <Grid
        container
        item
        direction="row"
        justifyContent="space-between"
        alignItems="center"
    >
        {
            products.map(product => (
                <ProductItem
                    key={product._id}
                    id={product._id}
                    title={product.title}
                    price={product.price}
                    image={product.image}
                />
            ))
        }
    </Grid>;
};

export default ProductList;
