import FacebookLogin from "@greatsumini/react-facebook-login";
import {facebookAppId} from '../../../constants/config';
import {Button} from "@mui/material";
import {facebookLogin} from "../../../store/actions/usersActions";
import {useDispatch} from "react-redux";
import {useNavigate} from "react-router-dom";

const FacebookLoginButton = () => {
    const dispatch = useDispatch();
    const navigate = useNavigate();

    return <FacebookLogin
        appId={facebookAppId}
        initParams={{
            version: 'v17.0',
            xfbml: true,
        }}
        onSuccess={(response) => {
            console.log('Login Success!', response);
            dispatch(facebookLogin({data: response, callback: () => navigate('/')}));
        }}
        onFail={(error) => {
            console.log('Login Failed!', error);
        }}
        onProfileSuccess={(response) => {
            console.log('Get Profile Success!', response);
        }}
        render={({onClick, logout}) => (
            <Button onClick={onClick}>
                Enter with facebook
            </Button>
        )}
    />
};

export default FacebookLoginButton;
