import {useState} from "react";
import {Button, Grid} from "@mui/material";
import FormElement from "../../UI/Form/FormElement/FormElement";

const UserForm = ({onFormSubmit, user}) => {
    const [state, setState] = useState({
        oldPassword: "",
        password: "",
        username: user.username
    });

    const submitFormHandler = e => {
        e.preventDefault();

        onFormSubmit(state);
    };

    const inputChangeHandler = e => {
        const name = e.target.name;
        const value = e.target.value;

        setState(prevState => {
            return {...prevState, [name]: value};
        });
    };

    return (
        <form
            autoComplete="off"
            onSubmit={submitFormHandler}
        >
            <Grid container direction="column" spacing={2}>
                <FormElement
                    id="oldPassword"
                    label="Old Password"
                    required={!!state.password.trim()}
                    value={state.oldPassword}
                    onChange={inputChangeHandler}
                    name="oldPassword"
                />
                <FormElement
                    id="password"
                    label="New password"
                    required={!!state.oldPassword.trim()}
                    value={state.password}
                    onChange={inputChangeHandler}
                    name="password"
                />
                <FormElement
                    id="username"
                    label="Username"
                    value={state.username}
                    onChange={inputChangeHandler}
                    name="username"
                />
                <Grid item xs>
                    <Button type="submit" color="primary" variant="contained">
                        Save
                    </Button>
                </Grid>
            </Grid>
        </form>
    );
};

export default UserForm;
