import {useDispatch, useSelector} from "react-redux";
import {Typography} from "@mui/material";
import UserForm from "../../components/User/UserForm/UserForm";
import {useNavigate} from "react-router-dom";
import {updateUser} from "../../store/actions/usersActions";

const User = () => {
    const navigate = useNavigate();
    const dispatch = useDispatch();
    const user = useSelector(({usersState}) => usersState.user);

    const onFormSubmit = async data => {
        await dispatch(updateUser({data, callback: () => navigate('/')}));
    };

    return (
        <>
            <Typography variant='h4'>
                Edit {user.username}
            </Typography>
            <UserForm
                onFormSubmit={onFormSubmit}
                user={user}
            />
        </>
    );
};

export default User;
